#!/bin/bash

##############################################################                                              
# run# 1000   -  ch0, ch1 pulse height -1 V (52.5 ns)                           
# trigger delay 
# TDC linearity test PID 19771
##############################################################

### TDC linearity test                                                                                                              
### ch0, ch1                                                                                                                        
### input pulse height -1 V (52.5 ns)                                                                                               
### time difference between ch0 and trigger: ~160 ns                                                                                
### time difference between ch0 and ch1: 48 ns  (16+4+2+1+0.5)+(16+4+2+1+0.5)                                                     
root -b -q 'convert_V1290nDataIntoRoot.C(1014, 10000)'
root -b -q 'convert_V1290nPlotFromRoot.C(1014, 10000)'

### TDC linearity test
### ch0, ch1
### input pulse height -1 V (52.5 ns)
### time difference between ch0 and trigger: ~160 ns
### time difference between ch0 and ch1: 56 ns  (16+4+2+1+0.5)+(16+8+4+2+1+0.5)
### root -b -q 'convert_V1290nDataIntoRoot.C(1013, 10000)'
### root -b -q 'convert_V1290nPlotFromRoot.C(1013, 10000)'

### TDC linearity test
### ch0, ch1
### input pulse height -1 V (52.5 ns)
### time difference between ch0 and trigger: ~160 ns
### time difference between ch0 and ch1: 64 ns  (16+8+4+2+1+0.5)+(16+8+4+2+1+0.5)
#root -b -q 'convert_V1290nDataIntoRoot.C(1012, 10000)'
#root -b -q 'convert_V1290nPlotFromRoot.C(1012, 10000)'

### TDC linearity test
### ch0, ch1
### input pulse height -1 V (52.5 ns)
### time difference between ch0 and trigger: ~160 ns
### time difference between ch0 and ch1: 60 ns  (16+8+4+1+0.5)+(16+8+4+1+0.5)
#root -b -q 'convert_V1290nDataIntoRoot.C(1011, 10000)'
#root -b -q 'convert_V1290nPlotFromRoot.C(1011, 10000)'

### TDC linearity test
### ch0, ch1
### input pulse height -1 V (52.5 ns)
### time difference between ch0 and trigger: ~160 ns
### time difference between ch0 and ch1: 36 ns  (16+1+0.5)+(16+1+0.5)
#root -b -q 'convert_V1290nDataIntoRoot.C(1010, 10000)'
#root -b -q 'convert_V1290nPlotFromRoot.C(1010, 10000)'


### TDC linearity test
### ch0, ch1
### input pulse height -1 V (52.5 ns)
### time difference between ch0 and trigger: ~160 ns
### time difference between ch0 and ch1:  ns ~ 
#root -b -q 'convert_V1290nDataIntoRoot.C(1008, 10000)'
#root -b -q 'convert_V1290nPlotFromRoot.C(1008, 10000)'

### TDC linearity test
### ch0, ch1
### input pulse height -1 V (52.5 ns)
### time difference between ch0 and trigger: ~160 ns
### time difference between ch0 and ch1:  ns ~ 
#root -b -q 'convert_V1290nDataIntoRoot.C(1007, 10000)'
#root -b -q 'convert_V1290nPlotFromRoot.C(1007, 10000)'

### TDC linearity test
### ch0, ch1
### input pulse height -1 V (52.5 ns)
### time difference between ch0 and trigger: ~160 ns
### time difference between ch0 and ch1:  ns ~ 
#root -b -q 'convert_V1290nDataIntoRoot.C(1006, 10000)'
#root -b -q 'convert_V1290nPlotFromRoot.C(1006, 10000)'

### TDC linearity test
### ch0, ch1
### input pulse height -1 V (52.5 ns)
### time difference between ch0 and trigger: ~160 ns
### time difference between ch0 and ch1:  ns ~ 
#root -b -q 'convert_V1290nDataIntoRoot.C(1005, 10000)'
#root -b -q 'convert_V1290nPlotFromRoot.C(1005, 10000)'

### TDC linearity test
### ch0, ch1
### input pulse height -1 V (52.5 ns)
### time difference between ch0 and trigger: ~160 ns
### time difference between ch0 and ch1:  ns ~ 
#root -b -q 'convert_V1290nDataIntoRoot.C(1004, 10000)'
#root -b -q 'convert_V1290nPlotFromRoot.C(1004, 10000)'


### TDC linearity test
### ch0, ch1
### input pulse height -1 V (52.5 ns)
### time difference between ch0 and trigger: ~160 ns
### time difference between ch0 and ch1:  ns ~ 
#root -b -q 'convert_V1290nDataIntoRoot.C(1003, 10000)'
#root -b -q 'convert_V1290nPlotFromRoot.C(1003, 10000)'

### TDC linearity test
### ch0, ch1
### input pulse height -1 V (52.5 ns)
### time difference between ch0 and trigger: ~160 ns
### time difference between ch0 and ch1:  ns ~ 
#root -b -q 'convert_V1290nDataIntoRoot.C(1002, 5000)'
#root -b -q 'convert_V1290nPlotFromRoot.C(1002, 5000)'


### TDC linearity test
### ch0, ch1
### input pulse height -1 V (52.5 ns)
### time difference between ch0 and trigger: ~160 ns
### time difference between ch0 and ch1:  ns ~ 
#root -b -q 'convert_V1290nDataIntoRoot.C(1001, 5000)'
#root -b -q 'convert_V1290nPlotFromRoot.C(1001, 5000)'

### TDC linearity test
### ch0, ch1
### input pulse height -1 V (52.5 ns)
### time difference between ch0 and trigger: ~160 ns
### time difference between ch0 and ch1:  ns ~ 
#root -b -q 'convert_V1290nDataIntoRoot.C(1000, 16384)'
#root -b -q 'convert_V1290nPlotFromRoot.C(1000, 16384)'



##############################################################                                              
# run# 41 -  ch0, ch8 pulse height -300 mV (32.5 ns)                           
# trigger delay 
# Old QDC linearity test SN0603                                                                             
##############################################################


### TDC linearity test
### ch0, ch1
### input pulse height -300 mV (32.5 ns)
### Disc thr -50 mV, output width 160 ns
### trigger delay ~30 meters
### time difference between ch0 and trigger: ~225 ns
### time difference between ch0 and ch8: 22 ns ~ 142 (22+30+30+30 ns)
######## delay between tCh0 and tCh1 on Delay Module: 140 [(16+8+4+2)+(16+8+4+2)+(16+8+4+2)+25+25] ns
### <tCh0,Tref>=
### <dt10> = <tCh1 - tCh0> = Out of range
#root -b -q 'convert_V1290nDataIntoRoot.C(52, 1024)'
#root -b -q 'convert_V1290nPlotFromRoot.C(52, 1024)'


### TDC linearity test
### ch0, ch1
### input pulse height -300 mV (32.5 ns)
### Disc thr -50 mV, output width 160 ns
### trigger delay ~30 meters
### time difference between ch0 and trigger: ~225 ns
### time difference between ch0 and ch8: 22 ns ~ 142 (22+30+30+30 ns)
######## delay between tCh0 and tCh1 on Delay Module: 90 [(16+8+4+2)+(16+8+4+2)+(16+8+4+2)] ns
### <tCh0,Tref>=
### <dt10> = <tCh1 - tCh0> = 4292 ,  StdDev=208.5
#root -b -q 'convert_V1290nDataIntoRoot.C(51, 1024)'
#root -b -q 'convert_V1290nPlotFromRoot.C(51, 1024)'

### TDC linearity test
### ch0, ch1
### input pulse height -300 mV (32.5 ns)
### Disc thr -50 mV, output width 160 ns
### trigger delay ~30 meters
### time difference between ch0 and trigger: ~225 ns
### time difference between ch0 and ch8: 22 ns ~ 142 (22+30+30+30 ns)
######## delay between tCh0 and tCh1 on Delay Module: 80 [(16+8+4+2)+(16+8+4+2)+(16+4)] ns
### <tCh0,Tref>=
### <dt10> = <tCh1 - tCh0> = 4286 ,  StdDev=268.9
#root -b -q 'convert_V1290nDataIntoRoot.C(50, 1024)'
#root -b -q 'convert_V1290nPlotFromRoot.C(50, 1024)'

### TDC linearity test
### ch0, ch1
### input pulse height -300 mV (32.5 ns)
### Disc thr -50 mV, output width 160 ns
### trigger delay ~30 meters
### time difference between ch0 and trigger: ~225 ns
### time difference between ch0 and ch8: 22 ns ~ 142 (22+30+30+30 ns)
######## delay between tCh0 and tCh1 on Delay Module: 70 [(16+8+4+2)+(16+8+4+2)+(8+2)] ns
### <tCh0,Tref>=
### <dt10> = <tCh1 - tCh0> =  3861,  StdDev=242.3
#root -b -q 'convert_V1290nDataIntoRoot.C(49, 1024)'
#root -b -q 'convert_V1290nPlotFromRoot.C(49, 1024)'

### TDC linearity test
### ch0, ch1
### input pulse height -300 mV (32.5 ns)
### Disc thr -50 mV, output width 160 ns
### trigger delay ~30 meters
### time difference between ch0 and trigger: ~225 ns
### time difference between ch0 and ch8: 22 ns ~ 142 (22+30+30+30 ns)
######## delay between tCh0 and tCh1 on Delay Module: 60 [(16+8+4+2)+(16+8+4+2)] ns
### <tCh0,Tref>=
### <dt10> = <tCh1 - tCh0> = 3456 ,  StdDev=216.9
#root -b -q 'convert_V1290nDataIntoRoot.C(48, 1024)'
#root -b -q 'convert_V1290nPlotFromRoot.C(48, 1024)'

### TDC linearity test
### ch0, ch1
### input pulse height -300 mV (32.5 ns)
### Disc thr -50 mV, output width 160 ns
### trigger delay ~30 meters
### time difference between ch0 and trigger: ~225 ns
### time difference between ch0 and ch8: 22 ns ~ 142 (22+30+30+30 ns)
######## delay between tCh0 and tCh1 on Delay Module: 50 [(16+8+4+2)+(16+4)] ns
### <tCh0,Tref>=
### <dt10> = <tCh1 - tCh0> =  3059,  StdDev=2.899
#root -b -q 'convert_V1290nDataIntoRoot.C(47, 1024)'
#root -b -q 'convert_V1290nPlotFromRoot.C(47, 1024)'

### TDC linearity test
### ch0, ch1
### input pulse height -300 mV (32.5 ns)
### Disc thr -50 mV, output width 160 ns
### trigger delay ~30 meters
### time difference between ch0 and trigger: ~225 ns
### time difference between ch0 and ch8: 22 ns ~ 142 (22+30+30+30 ns)
######## delay between tCh0 and tCh1 on Delay Module: 40 [(16+8+4+2)+(8+2)] ns
### <tCh0,Tref>=
### <dt10> = <tCh1 - tCh0> = 2639 ,  StdDev=3.302
#root -b -q 'convert_V1290nDataIntoRoot.C(46, 1024)'
#root -b -q 'convert_V1290nPlotFromRoot.C(46, 1024)'

### TDC linearity test
### ch0, ch1
### input pulse height -300 mV (32.5 ns)
### Disc thr -50 mV, output width 160 ns
### trigger delay ~30 meters
### time difference between ch0 and trigger: ~225 ns
### time difference between ch0 and ch8: 22 ns ~ 142 (22+30+30+30 ns)
######## delay between tCh0 and tCh1 on Delay Module: 30 [(16+8+4+2)] ns
### <tCh0,Tref>=
### <dt10> = <tCh1 - tCh0> = 2212 ,  StdDev=124.1
#root -b -q 'convert_V1290nDataIntoRoot.C(45, 1024)'
#root -b -q 'convert_V1290nPlotFromRoot.C(45, 1024)'


### TDC linearity test
### ch0, ch1
### input pulse height -300 mV (32.5 ns)
### Disc thr -50 mV, output width 160 ns
### trigger delay ~30 meters
### time difference between ch0 and trigger: ~225 ns
### time difference between ch0 and ch8: 22 ns ~ 142 (22+30+30+30 ns)
######## delay between tCh0 and tCh1 on Delay Module: 20 [16+4] ns
### <tCh0,Tref>=
### <dt10> = <tCh1 - tCh0> = 1810 ,  StdDev=3.25
#root -b -q 'convert_V1290nDataIntoRoot.C(44, 1024)'
#root -b -q 'convert_V1290nPlotFromRoot.C(44, 1024)'

### TDC linearity test
### ch0, ch1
### input pulse height -300 mV (32.5 ns)
### Disc thr -50 mV, output width 160 ns
### trigger delay ~30 meters
### time difference between ch0 and trigger: ~225 ns
### time difference between ch0 and ch8: 22 ns ~ 142 (22+30+30+30 ns)
######## delay between tCh0 and tCh1 on Delay Module: 10 (8+2) ns
### <tCh0,Tref>=
### <dt10> = <tCh1 - tCh0> = 1389 ,  StdDev=55.17
#root -b -q 'convert_V1290nDataIntoRoot.C(43, 1024)'
#root -b -q 'convert_V1290nPlotFromRoot.C(43, 1024)'

### TDC linearity test
### ch0, ch1
### input pulse height -300 mV (32.5 ns)
### Disc thr -50 mV, output width 160 ns
### trigger delay ~30 meters
### time difference between ch0 and trigger: ~225 ns
### time difference between ch0 and ch8: 22 ns ~ 142 (22+30+30+30 ns)
######## delay between tCh0 and tCh1 on Delay Module: 0 ns
### <tCh0,Tref>=
### <dt10> = <tCh1 - tCh0> = 1021
#root -b -q 'convert_V1290nDataIntoRoot.C(42, 1024)'
#root -b -q 'convert_V1290nPlotFromRoot.C(42, 1024)'



##################################################################
##################################################################
##################################################################
### make plot from TDC data
### rn29 setup
### NumOfTrig = 64
### HV: T1 780 V (ch0), T2 800 V (ch1), T3 840 V (ch2)
### Gain x10, thr -200 mV after amp
### Delay module (16+8+4+2+1+0.5 ns) + 1 cables (10 meters)
### TDC channel open ch0~15 ### CHANNEL_MASK FF
### TDC ch0 (T1), ch1 (T2), ch3 (T3)
### d[ Stop(Trig) - Ref(ch0=T1) ] = ~125 ns
### d(T1-T2) =d(T1-T3) = ~11 ns on the scop

### root -b -q 'convert_V1290nDataIntoRoot.C(rn, nevt)'
#root -b -q 'convert_V1290nDataIntoRoot.C(29, 64)'

### root -b -q 'convert_V1290nPlotFromRoot.C(rn, nevt)'
#root -b -q 'convert_V1290nPlotFromRoot.C(29, 64)'

### -----------------------------------------------------

### make plot from TDC data
### rn26 setup
### NumOfTrig = 2048
### HV: T1 780 V (ch0), T2 800 V (ch1), T3 840 V (ch2)
### Gain x10, thr -200 mV after amp
### Delay module (16+8+4+2+1+0.5 ns) + 8 cables (5 meters)
### TDC channel open ch0~15 ### CHANNEL_MASK FF
### TDC ch0 (T1), ch1 (T2), ch3 (T3)
### d[ Stop(Trig) - Ref(ch0=T1) ] = ~257 ns
### d(T1-T2) =d(T1-T3) = ~11 ns on the scop

### root -b -q 'convert_V1290nDataIntoRoot.C(rn, nevt)'
#root -b -q 'convert_V1290nDataIntoRoot.C(26, 2048)'

### root -b -q 'convert_V1290nPlotFromRoot.C(rn, nevt)'
#root -b -q 'convert_V1290nPlotFromRoot.C(26, 2048)'

### -----------------------------------------------------
### make plot from TDC data
### rn25 setup
### NumOfTrig = 1024
### HV: T1 780 V (ch0), T2 800 V (ch1), T3 840 V (ch2)
### Gain x10, thr -200 mV after amp
### Delay module (16+8+4+2+1+0.5 ns) + 8 cables (5 meters)
### TDC channel open ch0, 1, 7 ### CHANNEL_MASK 83
### TDC ch0 (T1), ch1 (T2), ch7 (T3)
### d[ Stop(Trig) - Ref(ch0=T1) ] = ~257 ns
### d(T1-T2) =d(T1-T3) = ~11 ns on the scop

### root -b -q 'convert_V1290nDataIntoRoot.C(rn, nevt)'
#root -b -q 'convert_V1290nDataIntoRoot.C(25, 1024)'

### root -b -q 'convert_V1290nPlotFromRoot.C(rn, nevt)'
#root -b -q 'convert_V1290nPlotFromRoot.C(25, 1024)'

